
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用Spark SQL 构建流式处理程序 / iVAN</title>

    <meta name="description" content="使用Spark SQL 构建流式处理程序 前言 今天介绍利用 StreamingPro 构建流式(Spark Streaming)计算程序 准备工作 下载StreamingPro README中有下载地址 我们假设您将文件放在了/tmp目录下. 填写配置文件 实例一,Nginx日志解析后存储到ES gist 测试样例, 模拟数据,并且单机跑起来 gist 假设你使用的是第二个配置文件,名字叫做test.json,并且放在了/tmp目录下. 启动StreamingPro Local模式: cd $SPARK_HOME ./bin/spar">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用Spark SQL 构建流式处理程序</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>前言</h2>
<p>今天介绍利用 StreamingPro 构建流式(Spark Streaming)计算程序</p>
<h2>准备工作</h2>

<ul>
<li>下载StreamingPro</li>
</ul>
<p><a href="https://github.com/allwefantasy/streamingpro" rel="external nofollow noreferrer">README中有下载地址</a></p>
<p>我们假设您将文件放在了/tmp目录下。</p>
<h2>填写配置文件</h2>

<ul>
<li>实例一，Nginx日志解析后存储到ES</li>
</ul>
<p><a href="https://gist.github.com/allwefantasy/5dc8f994499ee3053623a3023fae79de" rel="external nofollow noreferrer">gist</a></p>
<ul>
<li>测试样例, 模拟数据，并且单机跑起来</li>
</ul>
<p><a href="https://gist.github.com/allwefantasy/53afb86531e660fad4681be507b1a175" rel="external nofollow noreferrer">gist</a></p>
<p>假设你使用的是第二个配置文件，名字叫做test.json，并且放在了/tmp目录下。</p>
<h2>启动StreamingPro</h2>
<p>Local模式：
<pre><code>cd  $SPARK_HOME

./bin/spark-submit   --class streaming.core.StreamingApp \
--master local[2] \
--name test \
/tmp/streamingpro-0.2.1-SNAPSHOT-dev-1.6.1.jar    \
-streaming.name test    \
-streaming.job.file.path file:///tmp/test.json</code></pre>
<p>访问</p>
<p>http://127.0.0.1:4040</p>
<p>可进入Spark UI</p>
<p>集群模式：</p>
<p>cd  $SPARK_HOME</p>
<p>./bin/spark-submit   --class streaming.core.StreamingApp \</p>
<p>--master yarn-cluster \</p>
<p>--name test \</p>
<p>/tmp/streamingpro-0.2.1-SNAPSHOT-dev-1.6.1.jar    \</p>
<p>-streaming.name test    \</p>
<p>-streaming.job.file.path hdfs://cluster/tmp/test.json</p>
<p>这里需要注意的是，配置文件并蓄放到HDFS上，并且需要带上hdfs前缀。这是一个标准的Spark 批流式处理程序</p>
<p>文／祝威廉（简书作者）</p>
<p>原文链接：http://www.jianshu.com/p/d10edd6c7cf9</p>
<p>著作权归作者所有，转载请联系作者获得授权，并标注“简书作者”。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 18:59:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用Spark SQL 构建流式处理程序的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmJ2Az.html" rel="bookmark">【译】使用Apache Kafka构建流式数据平台（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:前段时间接触过一个流式计算的任务,使用了阿里巴巴集团的JStorm,发现这个领域值得探索,就发现了这篇文章--Putting Apache Kafka To Use: A Practical Guide to Building a Stream Data Platform(Part 1).在读的过程中半总结半翻译,形成本文,跟大家分享. 最近你可能听说很多技术名词,例如&quot;流式处理&quot;.&quot;事件数据&quot;以及&quot;实时&quot;等,与之相关的技术有Kafka.S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNevWM.html" rel="bookmark">使用Elasticsearch，Kafka和Cassandra构建流式数据中心</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在过去的一年里,我遇到了一些软件公司讨论如何处理应用程序的数据(通常以日志和metrics的形式).在这些讨论中,我经常会听到挫折感,他们不得不用一组零碎的工具,随着时间的推移将这些数据汇总起来.这些工具,如: - 运维人员使用的,用于监控和告警的工具 - 开发人员用于跟踪性能和定位问题的工具 - 一个完整独立的系统,商业智能(BI)和业务依赖其分析用户行为 虽然这些工具使用不同的视角,适用不同的场景,但是他们同样都是关注数据来源和类型.因此,许多软件团队说,&quot;如果时间充裕,我们可以建立一个更好			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NLoPM.html" rel="bookmark">使用Spark SQL构建交互式查询引擎</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 StreamingPro 原来仅仅是用来作为Spark Streaming的一个配置化+SQL封装,然而不经意间,已经涵盖了批处理,交互式查询等多个方面.今天就讲讲如何使用StreamingPro构建一个交互式查询引擎. 准备工作 下载StreamingPro README中有下载地址 如果你使用了 Spark 2.0 版本,则要下载对应页面上的Spark 安装包.因为目前Spark 2.0 默认支持Scala 2.11.我提供了一个机遇Scala 2.10版本的.  我们假设您将文件放在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDnJBz.html" rel="bookmark">使用Spark SQL构建批处理程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 今天介绍利用StreamingPro完成批处理的流程. 准备工作 下载StreamingPro README中有下载地址 我们假设您将文件放在了/tmp目录下. 填写配置文件 实例一,我要把数据从ES导出到HDFS,并且形成csv格式. gist  启动StreamingPro Local模式: cd $SPARK_HOME ./bin/spark-submit --class streaming.core.StreamingApp \ --master local[2] \ --name			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgYKwb.html" rel="bookmark">Spark与EVAM组CP&comma;应对实时流式事件处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章讲的是Spark与EVAM组CP,应对实时流式事件处理,Apache Spark是一个开源大数据处理框架,其速度快并具有很好的易用性,并且可用来应对复杂分析.Spark可以支持流式处理,图表数据,机器学习,以及Hadoop和map/reduce.它是探索建立实时事件处理的理想平台. EVAM是一个实时事件处理方面的领跑者,有超过40种解决方案可以支持全球超两亿用户的实时事件处理.最近几年,EVAM已经建立了多种客户解决方案,比较流行的几个比如AWS Kinesis和RedShift.既然Ap			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlLEnM.html" rel="bookmark">In-Stream Big Data Processing译文：流式大数据处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/idontwantobe/article/details/25938511  @猪头饼 原文:http://highlyscalable.wordpress.com/2013/08/20/in-stream-big-data-processing/ 作者:Ilya Katsov 相当长一段时间以来,大数据社区已经普遍认识到了批量数据处理的不足.很多应用都对实时查询和流式处理产生了迫切需求.最近几年,在这个理念的推动下,催生出了一系列解决方案,Twi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBw0Wb.html" rel="bookmark">In-Stream Big Data Processing流式大数据处理详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相当长一段时间以来,大数据社区已经普遍认识到了批量数据处理的不足.很多应用都对实时查询和流式处理产生了迫切需求.最近几年,在这个理念的推动下,催生出了一系列解决方案,Twitter Storm,Yahoo S4,Cloudera Impala,Apache Spark和Apache Tez纷纷加入大数据和NoSQL阵营.本文尝试探讨流式处理系统用到的技术,分析它们与大规模批量处理和OLTP/OLAP数据库的关系,并探索一个统一的查询引擎如何才能同时支持流式.批量和OLAP处理. 在Grid Dy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjLg18p.html" rel="bookmark">Spark Streaming 流式计算实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章由一次平安夜的微信分享整理而来.在Stuq 做的分享,原文内容.  业务场景 这次分享会比较实战些.具体业务场景描述: 我们每分钟会有几百万条的日志进入系统,我们希望根据日志提取出时间以及用户名称,然后根据这两个信息形成 userName/year/month/day/hh/normal  userName/year/month/day/hh/delay 路径,存储到HDFS中.如果我们发现日志产生的时间和到达的时间相差超过的一定的阈值,那么会放到 delay 目录,否则放在正常的 no			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40A1Yz.html" rel="bookmark">Spark Streaming 1&period;6 流式状态管理分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于状态管理 在流式计算中,数据是持续不断来的,有时候我们要对一些数据做跨周期(Duration)的统计,这个时候就不得不维护状态了.而状态管理对Spark 的 RDD模型是个挑战,因为在spark里,任何数据集都需要通过RDD来呈现,而RDD 的定义是一个不变的分布式集合.在状态管理中,比如Spark Streaming中的word-count 就涉及到更新原有的记录,比如在batch 1 中  A 出现1次,batch 2中出现3次,则总共出现了4次.这里就有两种实现: 获取batch 1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr7lvp.html" rel="bookmark" class="title">php检测邮箱密码</a>
					<div>
						$pattern = &quot;/^[0-9a-zA-Z_-]+(\.[0-9a-zA-Z_-]+)*@[a-zA-Z0-9_-]+(\.{1}[a-zA-Z0-9_-]+)*\.{1}[a-zA- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBoKaM.html" rel="bookmark" class="title">JavaScript版几种常见排序算法分享</a>
					<div>
						说明 ·  每个浏览器测试得出的数据会不一样.比如我用chrome 测试 一般快速排序都会最快,IE 则根据数组长度有可能希尔最快. ·  不要用太大数据去测试冒泡排序(浏览器崩溃了我不管) 个人理解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMga7Az.html" rel="bookmark" class="title">SEOer不可不知的软文素材来源</a>
					<div>
						软文是网站内容的重要体现形式,其重要性不言而喻了,但软文素材如何获取却困扰着很多seoer,idsem小组成员吕士锋就和大家分享一下软文素材来源: 一.新闻咨讯类软文的素材来源 我们平常在报纸上,杂志 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKJP1p.html" rel="bookmark" class="title">Cisco路由器口令的恢复</a>
					<div>
						Cisco路由器是广泛应用的计算机网络通信设备之一.在日常运行中,路由器在整个系统中起着重要的作用,免不了经常对它进行操作.例如: 修改路由器配置文件.诊断网络故障等.一旦密码被遗忘,就对工作造成极大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6wqdz.html" rel="bookmark" class="title">本地连接没有有效的ip配置是怎么回事</a>
					<div>
						  1.首先我们打开开始菜单,找到控制面板选项.点击&quot;网络和Internet&quot;选项,找到&quot;网络和共享中心&quot;选项并点击,然后找到&quot;更改适配器设置&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaG2kz.html" rel="bookmark" class="title">购买2016款MacBook Pro注意事项</a>
					<div>
						  2016款的MacBook Pro发布了,这是MacBook Pro系列四年来最重大的一次更新.取消了A面背光苹果Logo;只保留了Thunderbolt 3和3.5mm接口;13英寸的整机重量仅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLKJOb.html" rel="bookmark" class="title">Win7系统搜索功能没有xp系统好用怎么办？</a>
					<div>
						  Win7系统搜索功能没有xp系统好用怎么办?           具体方法如下: 1.先来说明一下win7的搜索功能具体是怎样搜不到文件的,比如这样:我在一个文件夹里新建了这5个文件,这5个文件的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9ED8RM.html" rel="bookmark" class="title">Mac电脑Safari 8&period;0 实用技巧汇总</a>
					<div>
						  现在,不少人都在使用Mac电脑,大家都发现了,在 OS X Yosemite 中,Safari 升级到了全新的 8.0 版本.除了全新的界面,更加流畅的性能,这一版本还带来了许多实用的改变,小编就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3NQ1M.html" rel="bookmark" class="title">原型模式</a>
					<div>
						概念: 是一种创建型设计模式,它通过复制一个已经存在的实例来返回新的实例,而不是新建实例.被复制的实例就是我们所称的原型. 原型模式的拷贝:分为&quot;浅拷贝&quot;和&quot;深拷贝&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamkQPb.html" rel="bookmark" class="title">最近做项目 需要图像识别和比对 帮帮我</a>
					<div>
						问题描述 最近做项目 需要图像识别和比对 帮帮我 具体是衣服图片和库里的衣服图片进行比对 找出最相似的图片 用户上传的衣服图片 可能是带人头 可能是网上的 背景 各方面 都会不一样					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N4gOM.html" rel="bookmark" class="title">ubuntu登陆glade时，报错怎么个情况</a>
					<div>
						问题描述 ubuntu登陆glade时,报错怎么个情况 (glade:32828): Gtk-WARNING **: Content added to the action area of a dia ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAYa3M.html" rel="bookmark" class="title">新手要学习C&num;请问有什么推荐&quest;</a>
					<div>
						问题描述 新手学习C#.请问有什么书籍或网络上的文章.请各位高手指教下..本人QQ450082851如果高手愿意指教下. 解决方案 解决方案二:先说说你的基础啊,比如有没学过C,C++等.解决方案三: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBK8ZM.html" rel="bookmark" class="title">技术-AngularJS&OpenCurlyDoubleQuote;面包屑&rdquo;跳转传递参数问题</a>
					<div>
						问题描述 AngularJS&quot;面包屑&quot;跳转传递参数问题 在使用AngularJS时,我遇到一个问题,弄了很长时间都不会,主要是我刚刚使用AngularJS没多久,网上关于Angul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqmaQz.html" rel="bookmark" class="title">AVL树删除算法的实现--长安大学毕业设计</a>
					<div>
						AVL树的删除算法的两种实现方法 本文是本人原创,当时作为长安大学高一凡老师带的学生,我的毕业设计就是做一个AVL 算法的演示软件.其中,AVL树的删除算法在度娘和 谷歌了很久都没有找到逻辑通畅或者说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRr68b.html" rel="bookmark" class="title">如何使用dataset 向oracle数据库中批量添加数据</a>
					<div>
						问题描述 我最近在做一个教务系统,使用vs2005,oracle9i,其中有一个添加成绩的窗体,使用insert一条一条的添加的话太麻烦,不知道用dataset怎么写,各位大虾帮个忙吧 解决方案 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R52Jz.html" rel="bookmark" class="title">数据采集中的安全与隐私</a>
					<div>
						1. 数据采集面临的安全与隐私挑战 不管是第三方分析工具,还是企业的第一方分析系统,在分析用户行为时,通常都会选择在客户端(一般是安卓.iOS 和 Web 端)采集用户的行为,然后经过打包.压缩等一系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod2jdM.html" rel="bookmark" class="title">linux服务器用centos还是ubuntu系统&lowbar;Linux</a>
					<div>
						linux服务器系统多使用CentOS.uBuntu.Gentoo.FreeBSD.Debian. 服务器操作系统应该选择 Debian/Ubuntu 还是 CentOS ,CENTOS现在市场占有率 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgww11M.html" rel="bookmark" class="title">如何查看 Linux 系统安装的时间</a>
					<div>
						我们 SUN 实验室每台服务器上架后都需要填写一个表格,这个表格包括详细的机器硬件配置.操作系统版本和安装时间.网络配置.机器名.MAC 地址和 IP.安装的软件和用途.安全级别和策略.联系人.上架时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RQwWz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;高铁&rdquo;改变中国经济版图</a>
					<div>
						轨道交通的发展将改变中国的经济版图.未来中国高铁&quot;四纵四横&quot;网络将连通珠三角.长三角.环渤海三大经济区,也把东北老工业基地.长株潭城市群.成渝以及中原城市群.武汉城市圈.关中城镇群 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEqJAM.html" rel="bookmark" class="title">数字时代核心交接：个人云取代PC</a>
					<div>
						导语:全美著名杂志&lt;福布斯&gt;网络版在周一发表文章表示,随着移动设备和云计算服务的飞速发展,个人云很可能将在未来的几年内慢慢取代PC的地位,从而成为数字时代的领军核心. 全文译文如下: 对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodkqBM.html" rel="bookmark" class="title">Geoffrey Hinton，让加拿大成为AI创新之地的助推者</a>
					<div>
						计算机科学家和人工智能方面的领头专家Geoffrey Everest Hinton 已经成功帮助多伦多大学成为一个创新中心. 在剑桥大学读本科的时候,Geoffrey Everest Hinton一直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JOJ0z.html" rel="bookmark" class="title">评价中国贺卡网站</a>
					<div>
						&lt;民营经济报&gt;: 1.根据本报初步调查得知,网易贺卡.心意坊.贺卡之舟.电脑之家贺卡下载.卡秀这几个贺卡下载网站受到市民的关注比较高,以您对这些网站的了解,您认为哪三家网站做得最好的,您认 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRlyWp.html" rel="bookmark" class="title">NVIDIA与Intel之间的闹剧在法庭外和平解决</a>
					<div>
						NVIDIA与Intel之间有关芯片组专利授权旷日持久的法律纠纷近期已经达成和解,双方都做出了一定的妥协,最终让这场闹剧在法庭外和平解决.目前有关此事的唯一公开报道来自证券企业Wedbush-Morg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NXa9p.html" rel="bookmark" class="title">js setTimeout 和 setInterval实现多线程</a>
					<div>
						JavaScript的setTimeout与setInterval是两个很容易欺骗别人感情的方法,因为我们开始常常以为调用了就会按既定的方式执行, 我想不少人都深有同感, 例如 setTimeout( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlmdm8p.html" rel="bookmark" class="title">jquery实现的用户注册表单提示操作效果代码分享&lowbar;jquery</a>
					<div>
						本文实例讲述了jquery实现的用户注册表单提示操作效果.分享给大家供大家参考.具体如下: jQuery实现的用户注册表单上方弹窗提示文字特效源码,是一段不仅可以在输入的表单上方提示注意事项,同时也可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVJAqz.html" rel="bookmark" class="title">如何实现这样的效果？？紧急</a>
					<div>
						问题描述 能否给出这样的效果的实现原理?或者实现的例程?[img=http://www.cqsoftware.cn/products/2007-12-27/20071227143826.html(百货 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk72K5p.html" rel="bookmark" class="title">Android中判断手机是否联网实例&lowbar;Android</a>
					<div>
						本文实例讲述了Android中判断手机是否联网的方法,分享给大家供大家参考.具体步骤如下: 首先在AndroidManifest.xml中添加与连接网络相关的权限: 复制代码 代码如下: &lt;us ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXayWz.html" rel="bookmark" class="title">联通首次推出3G无线猫上网卡套装 支持5人在线</a>
					<div>
						为满足用户WiFi使用需要,中国联通宣布首次推出&quot;3G WiFi随身行&quot;无线猫上网卡套装,内含3G无线猫上网卡终端一个,1200元预存款.Uhttp://www.aliyun.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmdDRBM.html" rel="bookmark" class="title">新一轮农网升级改造将启动投资规模超过2000亿</a>
					<div>
						7月12日上午消息,国家能源局召开全国农村电网改造升级工作会议,将启动为期三年的新一轮农网升级改造,预测该轮投资规模将超过2000亿,此消息将利好输配电设备制造业. 国家能源局局长张国宝在上午召开的全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxgmq7b.html" rel="bookmark" class="title">关于Java程序读取XML文件的信息</a>
					<div>
						问题描述 总是报Theprocessinginstructiontargetmatching&quot;[xX][mM][lL]&quot;isnotallowed.的错,不知道怎么改?求助!!!im ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
